# List IP Allowlist Configs

Retrieves the information of the IP Allowlist Config

Endpoint: GET /v1/ip-allowlist
Version: 1.0
Security: x-api-key

## Query parameters:

  - `search_term` (string)
    This would be used to filter resources having attributes matching with search term.

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Number of items to return per page.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "identifier", "created", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

  - `allowed_source_type` (string)
    This is to filter IP allowlist configs only blocked from UI or API

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Response 200 fields (application/json):

  - `ip_allowlist_config` (object, required)
    This contains data for a config set in Harness to allow selected IPs

  - `ip_allowlist_config.name` (string, required)
    Name of the IP Config defined in Harness

  - `ip_allowlist_config.identifier` (string, required)
    Identifier of the IP Config

  - `ip_allowlist_config.description` (string)
    Description of the entity

  - `ip_allowlist_config.enabled` (boolean)
    If true, it will allow all the IPs that are part of the config and block others.

  - `ip_allowlist_config.tags` (object)
    IP Allowlist tags

  - `ip_allowlist_config.allowed_source_type` (array)
    Enum: "UI", "API"

  - `ip_allowlist_config.ip_address` (string, required)

  - `created` (integer, required)
    Creation timestamp for the IP Allowlist config.

  - `updated` (integer, required)
    Last modification timestamp for IP Allowlist config.


